Qyra
ReferenceProjects

Validate specific dashboard

Validates a specific dashboard and updates validation entries in database.

POST/api/v1/projects/{projectUuid}/validate/dashboard/{dashboardUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesthe project UUID
dashboardUuidstringYesthe dashboard UUID to validate

Responses

200 — Success

{
  "results": {
    "errors": [
      {
        "error": "string",
        "name": "string",
        "tableName": "string",
        "chartName": "string",
        "projectUuid": "string",
        "dashboardUuid": "string",
        "source": "chart",
        "errorType": "chart",
        "fieldName": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}